element <mapEnumMember>

Namespace: | http://www.nokia.com/sdt/emf/component
Type: | embedded (extension of mappingEnumType)
Content: | complex, 8 attributes, 1 element
Defined: | globally within component.xsd, see XML source
Used: | at 1 location

XML Representation Summary
<mapEnumMember
| enumeration | = | xsd:string
| headers | = | list of xsd:string
| member | = | xsd:string
| nameAlgorithm | = | xsd:string
| property | = | xsd:string
| suppressDefault | = | xsd:boolean : "true"
| uniqueValue | = | xsd:string
| validate | = | xsd:boolean : "true"
| >
Content: | (mapEnum)*
</mapEnumMember>

May contain elements (1):

  mapEnum

May be included in elements (4):

  mapResource, mapResourceElement, mapResourceMember, mapResourceType

Known Usage Locations

- Within global complexTypes (1):
  mappingResourceType [ref]

Annotation
Map an enumerator to RSS.
Embedded Type Detail

Type Derivation Summary twoWayMappingType mappingEnumType (extension) complexType

XML Source

<xsd:element name="mapEnumMember" substitutionGroup="twoWayMapping"> <xsd:annotation> <xsd:documentation>Map an enumerator to RSS.</xsd:documentation> </xsd:annotation> <xsd:complexType> <xsd:complexContent> <xsd:extension base="mappingEnumType"> <xsd:attribute name="property" type="xsd:string" use="required"> <xsd:annotation> <xsd:documentation>The property path providing the value.</xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute name="member" type="xsd:string" use="required"> <xsd:annotation> <xsd:documentation>The struct member.</xsd:documentation> </xsd:annotation> </xsd:attribute> <xsd:attribute default="true" name="suppressDefault" type="xsd:boolean" use="optional"> <xsd:annotation> <xsd:documentation> If true, do not emit the member initializer if the property matches the default specified in the STRUCT. If may be useful to set this to false if the default changes between SDK releases (to avoid branching components). </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType> </xsd:element>

Attribute Detail
enumeration

  Unused.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within mappingEnumType complexType

headers

  List of header files that must be included to provide the RSS enumerator symbols.

  Type: | listOfStrings
  Use: | optional
  Defined: | locally, within mappingEnumType complexType

member

  The struct member.

  Type: | xsd:string
  Use: | required
  Defined: | locally, within this element

  XML Source

  <xsd:attribute name="member" type="xsd:string" use="required"> <xsd:annotation> <xsd:documentation>The struct member.</xsd:documentation> </xsd:annotation> </xsd:attribute>

nameAlgorithm

  If defined, mapped RSS values may be generated by an algorithm based on
  the current instance and property. See the com.nokia.sdt.sourceGen.nameAlgorithm
  extension point for details.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within mappingEnumType complexType

property

  The property path providing the value.

  Type: | xsd:string
  Use: | required
  Defined: | locally, within this element

  XML Source

  <xsd:attribute name="property" type="xsd:string" use="required"> <xsd:annotation> <xsd:documentation>The property path providing the value.</xsd:documentation> </xsd:annotation> </xsd:attribute>

suppressDefault

  If true, do not emit the member initializer if the property matches the default
  specified in the STRUCT. If may be useful to set this to false if the
  default changes between SDK releases (to avoid branching components).

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within this element

  XML Source

  <xsd:attribute default="true" name="suppressDefault" type="xsd:boolean" use="optional"> <xsd:annotation> <xsd:documentation> If true, do not emit the member initializer if the property matches the default specified in the STRUCT. If may be useful to set this to false if the default changes between SDK releases (to avoid branching components). </xsd:documentation> </xsd:annotation> </xsd:attribute>

uniqueValue

  When nameAlgorithm is defined, specifies that some or all mapped values
  are generated by the name algorithm. If the value is "*", every value goes
  through the name algorithm and gets an enumerator in an *.hrh file.
  Otherwise, only properties matching the value are generated.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within mappingEnumType complexType

validate

  If true, ensure that mapped enumerators are declared in the RSS context,
  emitting warnings if not. Set this to false if mapping #defines or
  expressions.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within mappingEnumType complexType

Content Element Detail
mapEnum

  Type: | embedded, empty content
  Defined: | by reference, within mappingEnumType complexType